FreeBSD : tomcat -- denial of service (134acaa2-51ef-11e2-8e34-0022156e8794)

Low Nessus Plugin ID 63364


The remote FreeBSD host is missing one or more security-related updates.


The Apache Software Foundation reports :

When using the NIO connector with sendfile and HTTPS enabled, if a client breaks the connection while reading the response an infinite loop is entered leading to a denial of service.


Update the affected packages.

See Also

Plugin Details

Severity: Low

ID: 63364

File Name: freebsd_pkg_134acaa251ef11e28e340022156e8794.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2012/12/31

Modified: 2017/03/20

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.6

Vector: CVSS2#AV:N/AC:H/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:tomcat, p-cpe:/a:freebsd:freebsd:tomcat7, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/12/04

Vulnerability Publication Date: 2012/12/04

Reference Information

CVE: CVE-2012-4534